Skip to content
Start here

Get a tenant node by ID

zero_trust.cws.tenant_structures.nodes.get(strnode_id, NodeGetParams**kwargs) -> TenantStructureNode
GET/accounts/{account_id}/cws/tenant-structures/{structure_id}/nodes/{node_id}

Returns the tenant node with the specified ID.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str

Cloudflare account ID (32-character hexadecimal string)

maxLength32
minLength32
structure_id: str

ID of the parent tenant structure

formatuuid
node_id: str

ID of the node to retrieve

formatuuid
ReturnsExpand Collapse
class TenantStructureNode: …
id: str

Server-assigned UUID

formatuuid
created_at: datetime
formatdate-time
native_id: str

Cloud-native identifier of this node, unique within the structure; the parent-reference target. Shape depends on the structure’s application. Immutable after create.

maxLength255
minLength1
node_kind: str

Position in the tree. Legal values depend on the structure’s application (aws: root/ou/account; cloudflare: org/account/zone). At most one root per structure. Immutable after create.

maxLength64
minLength1
updated_at: datetime
formatdate-time
name: Optional[str]

Display name (e.g. an OU or account name), mutable. Optional; empty by default.

maxLength100
parent: Optional[str]

Native ID of this node’s parent. Required for non-root nodes and omitted for the root. The parent must be in the same structure and able to contain this node kind.

maxLength255

Get a tenant node by ID

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
tenant_structure_node = client.zero_trust.cws.tenant_structures.nodes.get(
    node_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    account_id="xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
    structure_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(tenant_structure_node.id)
{
  "errors": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "native_id": "x",
    "node_kind": "x",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "parent": "parent"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "native_id": "x",
    "node_kind": "x",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "parent": "parent"
  },
  "success": true
}